<template>
  <div class="list-container">
    <el-button type="primary" icon="el-icon-back" circle plain @click="backToQuery()" />
    <el-table :data="model" border stripe size="mini">
      <el-table-column label="#" fixed="left" min-width="30" align="center" show-overflow-tooltip>
        <template slot-scope="scope">
          <div>{{ rowNum(scope.$index) }}</div>
        </template>
      </el-table-column>
      <el-table-column prop="regionId" label="地區代號" />
      <el-table-column prop="custId" label="客戶代號" />
      <el-table-column prop="personType" label="客戶類別" show-overflow-tooltip />
      <el-table-column prop="locName" label="本地名字" show-overflow-tooltip />
      <el-table-column prop="engName" label="英文名字" show-overflow-tooltip />
      <el-table-column prop="custLevel" label="客戶等級" show-overflow-tooltip />
      <el-table-column prop="personId" label="身分證號" />
      <el-table-column fixed="left" align="center" label="編輯" width="140">
        <template slot-scope="scope">
          <el-button
            icon="el-icon-edit"
            circle
            type="primary"
            size="mini"
            @click="update(scope.row)"
          />
          <el-button
            icon="el-icon-delete"
            circle
            type="danger"
            size="mini"
            @click="remove(scope.row)"
          />
          <el-button icon="el-icon-search" circle size="mini" @click="view(scope.row)" />
        </template>
      </el-table-column>
    </el-table>
    <el-pagination
      background
      :total="total"
      :current-page="condition.current"
      :page-sizes="[10, 20, 50]"
      :page-size="parseInt(condition.pageSize)"
      layout="slot, ->, prev, pager, next, total, sizes, jumper"
      @current-change="changePage"
      @size-change="changeSize"
    />
  </div>
</template>

<script>
import { doChangePage, doChangeSize, countRowNum } from '@/utils/common'

export default {
  components: {
  },
  inheritAttrs: false,
  data() {
    return {
      condition: JSON.parse(sessionStorage['condition']),
      total: parseInt(sessionStorage['total']),
      model: JSON.parse(sessionStorage['datalist'])
    }
  },
  computed: {

  },
  methods: {
    changePage: function(current) {
      doChangePage(current).then(resp => {
        this.condition = resp.condition
        this.total = resp.total
        this.model = resp.data
      })
    },
    changeSize: function(pageSize) {
      doChangeSize(pageSize)
      this.changePage(1)
    },
    update(row) {
      console.log(row)
      // this.model = Object.assign({}, row)
      this.$router.push({ path: '/mainFunction/adjust/detail' })
      this.title = '修改'
    },
    remove(row) {
      // this.model = Object.assign({}, row)
      this.title = '刪除'
    },
    view(row) {
      // this.model = Object.assign({}, row)
      this.title = '檢視'
    },
    rowNum(index) {
      return countRowNum(this.condition.current, index)
    },
    backToQuery() {
      this.$router.push({ path: '/mainFunction/adjust/adjustM/index' })
    }
  }
}
</script>

<style>
</style>
